Status

Infrastructure & Operations
WebOps: Other
P1
major
RESOLVED FIXED
5 years ago
3 years ago

People

(Reporter: Ali Almossawi, Assigned: solarce)

Tracking

Details

(Whiteboard: waiting for push, URL)

(Reporter)

Description

5 years ago
With reference to bug #865822 concerning the DNT dashboard that will be pushed to production as soon as we get word from PR to do so (following which, we'll be updating said bug), could you please update the following files in staging that have just been pushed to the dnt repo at https://github.com/hamilton/public_dnt_dashboard:

index.php
js/global.min.js
css/styles.min.css


Thank you.
(Assignee)

Updated

5 years ago
Assignee: server-ops-webops → bburton
Priority: -- → P1
Whiteboard: [push interrupt]
(Assignee)

Comment 1

5 years ago
Push complete

[root@genericadm.private.phx1 ~]# cd /data/genericrhel6-dev/src/dnt-dashboard-dev.allizom.org/dnt-dashboard/
[root@genericadm.private.phx1 dnt-dashboard]# git pull
remote: Counting objects: 27, done.
remote: Compressing objects: 100% (10/10), done.
remote: Total 18 (delta 13), reused 13 (delta 8)
Unpacking objects: 100% (18/18), done.
From https://github.com/hamilton/public_dnt_dashboard
   64221c0..ae28882  master     -> origin/master
Updating 64221c0..ae28882
Fast-forward
 css/styles.min.css   |   2 +-
 index.php            |  16 ++++++++--------
 js/global.js         |   2 +-
 js/global.min.js     |   2 +-
 other/dnt_legend.psd | Bin 40116 -> 46712 bytes
 5 files changed, 11 insertions(+), 11 deletions(-)
[root@genericadm.private.phx1 dnt-dashboard]# /data/genericrhel6-dev/deploy dnt-dashboard-dev.allizom.org
[2013-04-29 08:57:06] Running rsync_project
[2013-04-29 08:57:06] [localhost] running: /usr/bin/rsync -aq --include '.gitkeep' --exclude '.git*' --exclude '.hg*' --exclude '.svn*' --exclude 'CVS' --exclude '.bzr*' --delete /data/genericrhel6-dev/src/dnt-dashboard-dev.allizom.org/ /data/genericrhel6-dev/www/dnt-dashboard-dev.allizom.org/
[2013-04-29 08:57:06] [localhost] finished: /usr/bin/rsync -aq --include '.gitkeep' --exclude '.git*' --exclude '.hg*' --exclude '.svn*' --exclude 'CVS' --exclude '.bzr*' --delete /data/genericrhel6-dev/src/dnt-dashboard-dev.allizom.org/ /data/genericrhel6-dev/www/dnt-dashboard-dev.allizom.org/ (0.046s)
[2013-04-29 08:57:06] Finished rsync_project (0.047s)
[2013-04-29 08:57:06] Running commit_www
[2013-04-29 08:57:06] [localhost] running: cd /data/genericrhel6-dev/www && /usr/bin/git add .; /usr/bin/git commit -a -m 'deploy ['dnt-dashboard-dev.allizom.org']'
[2013-04-29 08:57:11] [localhost] finished: cd /data/genericrhel6-dev/www && /usr/bin/git add .; /usr/bin/git commit -a -m 'deploy ['dnt-dashboard-dev.allizom.org']' (4.747s)
[localhost] out: [master d0ed0a2] deploy [dnt-dashboard-dev.allizom.org]
[localhost] out: 8 files changed, 14 insertions(+), 14 deletions(-)
[localhost] out: rewrite dnt-dashboard-dev.allizom.org/dnt-dashboard/css/styles.min.css (100%)
[2013-04-29 08:57:11] Finished commit_www (4.748s)
[2013-04-29 08:57:11] Running push_www
[2013-04-29 08:57:11] [generic1.dev.webapp.phx1.mozilla.com] running: /data/bin/update-www.sh dnt-dashboard-dev.allizom.org
[2013-04-29 08:57:17] [generic1.dev.webapp.phx1.mozilla.com] finished: /data/bin/update-www.sh dnt-dashboard-dev.allizom.org (6.135s)
[generic1.dev.webapp.phx1.mozilla.com] out: Not removing ship-it-dev.allizom.org/release-kickoff/logs/
[generic1.dev.webapp.phx1.mozilla.com] out: Not removing whistlepig-dev.allizom.org/WhistlePig/static/CACHE/
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED
Can we push (open to public) this at 12pm PST 5/3/2013?

-anurag
re-opening....
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Whiteboard: [push interrupt] → waiting for push
Severity: normal → blocker
NYT is publishing the article in an hour. Can we push this open to public?
Summary: Request to update dnt-dashboard files in staging → Open https://dnt-dashboard.mozilla.org to public
dropping priority and am on the bug. we dont need this paging.
Severity: blocker → major
latest code pushed to prod and the basic auth prompt has been removed.

$ curl -I http://dnt-dashboard.mozilla.org/
HTTP/1.1 200 OK
Server: Apache
X-Backend-Server: generic3.webapp.phx1.mozilla.com
Vary: Accept-Encoding
Content-Type: text/html; charset=UTF-8
Strict-Transport-Security: max-age=15768000 ; includeSubDomains
Date: Fri, 03 May 2013 19:49:06 GMT
Transfer-Encoding: chunked
Connection: Keep-Alive
X-Cache-Info: caching
Status: REOPENED → RESOLVED
Last Resolved: 5 years ago5 years ago
Resolution: --- → FIXED
thx :cturra.
I'll ensure that we have enough time and doesn't end up to be a scrambling situation next time we do this.

thx again..

-anurag
Component: Server Operations: Web Operations → WebOps: Other
Product: mozilla.org → Infrastructure & Operations

Updated

3 years ago
See Also: → bug 975871
You need to log in before you can comment on or make changes to this bug.